#include <stdio.h>
#include <stdlib.h>

using namespace std;

int main()
{
    long long v;
    int i,novcanice=0;
    scanf("%lld",&v);
    while(v>0)
    {
        int x=v%10;
        while(x>0)
        {
            if(x>=5)
            {
                novcanice++;
                x-=5;
            }
            else if(x>=2)
            {
                novcanice++;
                x-=2;
            }
            else
            {
                novcanice++;
                x--;
            }
        }
        v/=10;
    }
    printf("%d",novcanice);
    return 0;
}